Genome BioInformatics Research Lab

Help | News | People | Research Software Publications | Links
Resources & Datasets | Gene Predictions | Seminars & Courses

IMIM |  | UPF |  | CRG |  | GRIB |  | SOFTWARE |  | gff2aplot |  | HowTo |  | WU-BLAST Data

| WU-BLAST Analysis of two Homologous Genes |

Summary
In this tutorial we will see examples on `parseblast` output when applying to a WU-BLAST file. This perl script is included in the `gff2aplot` distribution. There are three basic aligment formats that can be generated from a blast file by `parseblast.pl`, but all three must produce the same plots by `gff2aplot`. We will also see the raw output from `gff2aplot` and how to customize it a little bit.
NOTE.- For the sake of clarity, we are going to use long names for the comand-line switches. See the command-line help if you prefer short names for those cases in which a short name is available.
Bitmaps for the examples were generated as PNGs (Portable Network Graphics). If your browser is not ready for such format yet, you can visualize the PDF or PS versions by clicking on the links below each snapshot. Links to customization files, log files, GFF input files and output PostScript figures, are also available on each command-line shown.

Contents

- Parsing WU-BLAST output.
- Raw `gff2aplot` output.
- Modifying plot settings.
- Merging alignment data.

Parsing BLAST Output |

    $BIN/parseblast.pl --verbose --no-frame --aplot             \
                       -- taf6.mmhs.genomic.blastn              \
                        > taf6.mmhs.genomic.blastn.aplot.gff    \
                       2> taf6.mmhs.genomic.blastn.aplotgff.log

    $BIN/parseblast.pl --verbose --no-frame            \
                       --fullgff --compact-tags        \
                       -- taf6.mmhs.genomic.blastn     \
                        > taf6.mmhs.genomic.blastn.gff \
                       2> taf6.mmhs.genomic.blastn.log

    $BIN/parseblast.pl --verbose --no-frame --fullgff       \
                       -- taf6.mmhs.genomic.blastn          \
                        > taf6.mmhs.genomic.blastn.full.gff \
                       2> taf6.mmhs.genomic.blastn.full.log

    $BIN/parseblast.pl --verbose --no-frame --aplot              \
                       -- taf6.mmhs.genomic.tblastx              \
                        > taf6.mmhs.genomic.tblastx.aplot.gff    \
                       2> taf6.mmhs.genomic.tblastx.aplotgff.log

Raw Output |

[PNG] [PS] [PDF]

    gff2aplot.pl                        \
        --verbose                       \
        -- taf6.mmhs.genomic.blastn.gff \
           taf6.mm.gene.gff             \
           taf6.hs.gene.gff             \
         > taf6.mmhs.genomic.blastn.ps  \
        2> taf6.mmhs.genomic.blastn.log

[PNG] [PS] [PDF]

    gff2aplot.pl                              \
        --verbose                             \
        -- taf6.mmhs.genomic.blastn.aplot.gff \
           taf6.mm.gene.gff                   \
           taf6.hs.gene.gff                   \
         > taf6.mmhs.genomic.blastn.aplot.ps  \
        2> taf6.mmhs.genomic.blastn.aplot.log

[PNG] [PS] [PDF]

    gff2aplot.pl                               \
        --verbose                              \
        --show-percent-box                     \
        -- taf6.mmhs.genomic.tblastx.aplot.gff \
           taf6.mm.gene.gff                    \
           taf6.hs.gene.gff                    \
         > taf6.mmhs.genomic.tblastx.aplot.ps  \
        2> taf6.mmhs.genomic.tblastx.aplot.log

Modifying Plot Settings |

[PNG] [PS] [PDF]

    gff2aplot.pl                                                    \
        --verbose                                                   \
        --title 'Hsap/Mmus taf6 Orthologous Gene'                   \
        --subtitle                                                  \
          'Figure displays BLASTN results for this genomic region.' \
        --show-percent-box                                          \
        --custom-filename taf6.tblastx.rc                           \
        -- taf6.mmhs.genomic.blastn.aplot.gff                       \
           taf6.mm.gene.gff                                         \
           taf6.hs.gene.gff                                         \
         > taf6.mmhs.genomic.blastn.aplot_conf.ps                   \
        2> taf6.mmhs.genomic.blastn.aplot_conf.log

[PNG] [PS] [PDF]

    gff2aplot.pl                                                     \
        --verbose                                                    \
        --title 'Hsap/Mmus taf6 Orthologous Gene'                    \
        --subtitle                                                   \
          'Figure displays TBLASTX results for this genomic region.' \
        --show-percent-box                                           \
        --custom-filename taf6.tblastx.rc                            \
        -- taf6.mmhs.genomic.tblastx.aplot.gff                       \
           taf6.mm.gene.gff                                          \
           taf6.hs.gene.gff                                          \
         > taf6.mmhs.genomic.tblastx.aplot_conf.ps                   \
        2> taf6.mmhs.genomic.tblastx.aplot_conf.log

Merging Data |

[PNG] [PS] [PDF]

    gff2aplot.pl                                   \
        --verbose                                  \
        --title 'Hsap/Mmus taf6 Orthologous Gene'  \
        --subtitle                                 \
          'Merging BLASTN and TBLASTX alignments.' \
        --show-percent-box                         \
        --custom-filename taf6.tblastx.rc          \
        -- taf6.mmhs.genomic.blastn.aplot.gff      \
           taf6.mmhs.genomic.tblastx.aplot.gff     \
           taf6.mm.gene.gff                        \
           taf6.hs.gene.gff                        \
         > taf6.mmhs.genomic.blast.merge.ps        \
        2> taf6.mmhs.genomic.blast.merge.log

[PNG] [PS] [PDF]

    gff2aplot.pl                                                       \
        --verbose                                                      \
        --title 'Hsap/Mmus taf6 Orthologous Gene'                      \
        --subtitle                                                     \
          'BLASTN alignments shown in green, TBLASTX results in blue.' \
        --show-percent-box                                             \
        --custom-filename taf6.tblastx.rc                              \
        --source-var 'BLASTN::alignment_color=darkgreen'               \
        --source-var 'TBLASTX::alignment_color=darkblue'               \
        -- taf6.mmhs.genomic.blastn.aplot.gff                          \
           taf6.mmhs.genomic.tblastx.aplot.gff                         \
           taf6.mm.gene.gff                                            \
           taf6.hs.gene.gff                                            \
         > taf6.mmhs.genomic.blast.merge_conf.ps                       \
        2> taf6.mmhs.genomic.blast.merge_conf.log

Disclaimer |  | webmaster